Ubuntu

Change log for “epiphany-browser” package in Ubuntu

175 of 155 results
Published in trusty-release on 2013-12-22
Deleted in trusty-proposed (Reason: moved to release)
epiphany-browser (3.10.3-0ubuntu2) trusty; urgency=medium

  * debian/patches/ubuntu_titlebars.patch: Use traditional titlebars
    for non-GNOME sessions (LP: #1263387)
 -- Tim Lunn <email address hidden>   Sun, 22 Dec 2013 11:03:08 +1100
Superseded in trusty-release on 2013-12-22
Deleted in trusty-proposed on 2013-12-23 (Reason: moved to release)
epiphany-browser (3.10.3-0ubuntu1) trusty; urgency=low

  * New upstream release (LP: #1260942)
  * Sync with Debian. Remaining changes:
    - debian/patches/07_bookmarks.patch:
      Add Ubuntu-specific default bookmarks, borrowed from Firefox
    - debian/patches/81_ubuntu_force_update_bookmarks_menu.patch:
      update the bookmarks menu every time the internal structure
      is changed (needed for the indicator application menu to work
      correctly).
    - Don't depend on gnome-desktop3 3.10
   * debian/patches/00_epiphany-browser.patch: Refreshed
 -- Tim Lunn <email address hidden>   Sat, 14 Dec 2013 07:46:25 +1100

Available diffs

Superseded in trusty-release on 2013-12-20
Deleted in trusty-proposed on 2014-01-29 (Reason: moved to release)
epiphany-browser (3.8.2-4ubuntu1) trusty; urgency=low

  * Resynchronize on Debian, remaining changes
  * debian/patches/07_bookmarks.patch:
    - Ubuntu-specific default bookmarks, borrowed from Firefox
  * debian/patches/81_ubuntu_force_update_bookmarks_menu.patch:
    - update the bookmarks on changes, needed for appmenu to work correctly

Available diffs

Superseded in trusty-release on 2013-12-06
Published in saucy-release on 2013-05-28
Deleted in saucy-proposed (Reason: moved to release)
epiphany-browser (3.6.1-2ubuntu3) saucy; urgency=low

  * New rebuild, the new libgnome-desktop is published this time...
 -- Sebastien Bacher <email address hidden>   Tue, 28 May 2013 13:56:29 +0200

Available diffs

Superseded in saucy-release on 2013-05-28
Deleted in saucy-proposed on 2013-05-30 (Reason: moved to release)
epiphany-browser (3.6.1-2ubuntu2) saucy; urgency=low

  * No change rebuild for the new libgnome-desktop soname
 -- Sebastien Bacher <email address hidden>   Tue, 28 May 2013 11:17:01 +0200

Available diffs

Superseded in saucy-release on 2013-05-28
Published in raring-release on 2012-12-13
Deleted in raring-proposed (Reason: moved to release)
epiphany-browser (3.6.1-2ubuntu1) raring; urgency=low

  * Sync with Debian. Remaining changes:
    - debian/patches/07_bookmarks.patch:
      Add Ubuntu-specific default bookmarks, borrowed from Firefox
    - debian/patches/81_ubuntu_force_update_bookmarks_menu.patch:
      update the bookmarks menu every time the internal structure
      is changed (needed for the indicator application menu to work correctly).

Available diffs

Superseded in raring-release on 2012-12-13
Deleted in raring-proposed on 2012-12-14 (Reason: moved to release)
epiphany-browser (3.6.1-0ubuntu2) raring; urgency=low

  * Upload to raring
 -- Sebastien Bacher <email address hidden>   Mon, 03 Dec 2012 17:43:05 +0100

Available diffs

Published in quantal-updates on 2012-11-14
Deleted in quantal-proposed (Reason: moved to -updates)
epiphany-browser (3.6.1-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release (LP: #1070629).
    - Do not replace envirornment when spawning ephy-profile-migrator
    - Merge the app menu into the gear menu when the system does not
      support global application menus (in other words, when run outside
      of stock Unity or GNOME Shell; Nautilus 3.6 does this too)
    - Add F10 as keyboard shortcut for the gear menu
    - Make sure windows are properly closed when using the 'Quit' option
      in the app menu
    - Do not automatically download embedded objects
 -- Jeremy Bicha <email address hidden>   Wed, 24 Oct 2012 10:31:13 -0400

Available diffs

Superseded in raring-release on 2012-12-03
Published in quantal-release on 2012-10-03
epiphany-browser (3.6.0-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1033909)
    - New overview with most visited sites as start page (LP: #343397)
  * Rename gir1.2-epiphany-3.4 -> gir1.2-epiphany-3.6
  * debian/control.in:
    - Bump minimum webkit and libsoup
    - Drop build-depends on gnome-doc-utils and seed
    - Build-depend on gcr and gnome-desktop3
  * debian/rules:
    - Copy Debian fix to rename epiphany.desktop to
      epiphany-browser.desktop so that the shell recognizes it.
  * debian/patches/00_epiphany-browser.patch: Refreshed
  * debian/patches/14_pkglibdir.patch:
    - Dropped, applied in new version
 -- Jeremy Bicha <email address hidden>   Tue, 02 Oct 2012 20:30:38 -0400

Available diffs

Superseded in quantal-release on 2012-10-03
epiphany-browser (3.5.4-0ubuntu2) quantal; urgency=low

  * debian/epiphany-browser-data.gsettings-override:
    - Dropped, override moved to ubuntu-default-settings
      and ubuntu-gnome-default-settings
 -- Jeremy Bicha <email address hidden>   Tue, 11 Sep 2012 19:45:09 -0400

Available diffs

Superseded in quantal-release on 2012-09-12
epiphany-browser (3.5.4-0ubuntu1) quantal; urgency=low

  * New upstream release
 -- Robert Ancell <email address hidden>   Wed, 18 Jul 2012 11:55:27 +1200

Available diffs

Superseded in quantal-release on 2012-07-18
epiphany-browser (3.5.3-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Support "Do Not Track"
    - Improved fullscreen UI
    - Follow freedesktop.org basedir specification
  * debian/control.in: Bump minimum GTK
  * Refreshed patches
 -- Jeremy Bicha <email address hidden>   Tue, 26 Jun 2012 18:58:21 -0400

Available diffs

Superseded in quantal-release on 2012-06-26
epiphany-browser (3.5.1-0ubuntu1) quantal; urgency=low

  * Resynchronize on Debian, remaining diffs:
  * New upstream unstable release.
  * debian/control.in:
    - Bump minimum intltool to 0.50
  * debian/epiphany-browser-data.gsettings-override:
    - Set search client to Ubuntu
  * debian/epiphany-browser-data.install:
    - The developers no longer provide help files to install since they were
      too outdated
  * debian/patches/07_bookmarks.patch:
    - Add Ubuntu-specific default bookmarks, borrowed from Firefox
  * debian/patches/81_ubuntu_force_update_bookmarks_menu.patch:
    - update the bookmarks menu every time the internal structure
      is changed (needed for the indicator application menu to work correctly).
  * Dropped upstream patches:
    - 01_email-as-user-for-password-remembering.patch
    - 13_toolbar_size_fixes.patch
  * debian/watch: Watch for unstable releases.

Available diffs

Published in precise-updates on 2012-05-04
Superseded in quantal-release on 2012-05-18
Deleted in precise-proposed (Reason: moved to -updates)
epiphany-browser (3.4.1-0ubuntu1) precise-proposed; urgency=low

  * New upstream release.
    - Listen to the org.gnome.Epiphany.ui.show-toolbars setting
    - Do not always show bookmarks without any topic set in the completion.
    - Use the right StartupNotify key name for Web Apps
    - Translation updates.
  * debian/patches/00_epiphany-browser.patch: Refreshed.
 -- Jeremy Bicha <email address hidden>   Sat, 21 Apr 2012 12:53:57 -0400

Available diffs

Superseded in quantal-release on 2012-05-04
Published in precise-release on 2012-03-31
epiphany-browser (3.4.0.1-2ubuntu1) precise; urgency=low

  * Resynchronize on Debian, remaining diffs:
  * debian/epiphany-browser-data.gsettings-override:
    - Set search client to Ubuntu
  * debian/patches/07_bookmarks.patch:
    - Add Ubuntu-specific default bookmarks, borrowed from Firefox
  * debian/patches/81_ubuntu_force_update_bookmarks_menu.patch:
    - update the bookmarks menu every time the internal structure
      is changed (needed for the indicator application menu to work correctly).
 -- Jeremy Bicha <email address hidden>   Fri, 30 Mar 2012 19:10:47 -0400

Available diffs

Superseded in precise-release on 2012-03-31
epiphany-browser (3.3.92-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/control.in: Bump minimum webkit to 1.7.92
  * Refreshed patches
 -- Jeremy Bicha <email address hidden>   Wed, 21 Mar 2012 14:36:35 -0400

Available diffs

Superseded in precise-release on 2012-03-21
epiphany-browser (3.3.91-0ubuntu1) precise; urgency=low

  * New upstream release.
    - The history history backend has been completely rewritten. It now uses
      SQLite as the storage medium, and can keep your browsing history
      indefinitely (so gone is the 10-day limit)
    - Several bug fixes
  * debian/control.in: Build-depend on libsqlite3-dev
  * debian/90_extensions_menu.patch: Dropped, applied upstream
 -- Jeremy Bicha <email address hidden>   Thu, 08 Mar 2012 00:27:06 -0500

Available diffs

Superseded in precise-release on 2012-03-08
epiphany-browser (3.3.90-0ubuntu3) precise; urgency=low

  * debian/patches/update_schemas_convert.patch:
    - don't try to convert keys dropped from the schemas (lp: #945144)
 -- Sebastien Bacher <email address hidden>   Wed, 07 Mar 2012 00:06:28 +0100

Available diffs

Superseded in precise-release on 2012-03-06
epiphany-browser (3.3.90-0ubuntu2) precise; urgency=low

  * debian/patches/90_extensions_menu.patch:
    - Git patch to re-add extensions menu
 -- Jeremy Bicha <email address hidden>   Sun, 26 Feb 2012 01:26:26 -0500
Superseded in precise-release on 2012-02-27
epiphany-browser (3.3.90-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/patches/00_epiphany-browser.patch: Refreshed
 -- Jeremy Bicha <email address hidden>   Tue, 21 Feb 2012 22:09:48 -0500

Available diffs

Superseded in precise-release on 2012-02-22
epiphany-browser (3.3.5-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Support external protocols (apt://, magnet://, etc) properly
    - Stop shipping the bookmarks editor .desktop file
    - Run all unit tests on 'make check'
    - Restore <alt>+<number> accels for tabs
    - Add toggle to enable WebGL support, off by default
    - *Lots* of cleanups and refactorings.
  * debian/rules, debian/branding.conf.in:
    - Use lsb-release to fill in user agent string (LP: #921860)
  * debian/control.in:
    - Bump minimum GTK to 3.3.11
    - Build-depend on lsb-release
  * debian/patches/00_epiphany-browser.patch: Refreshed
  * debian/patches/01_bookmarks_menu.patch: Dropped, obsolete
  * debian/patches/07_bookmarks.patch:
    - Use Ubuntu-specific default bookmarks, borrowed from Firefox
  * debian/patches/80_ubuntu_search_url.patch:
    - Dropped, merged into the bookmark patch
 -- Jeremy Bicha <email address hidden>   Tue, 07 Feb 2012 15:00:06 -0500

Available diffs

Superseded in precise-release on 2012-02-07
epiphany-browser (3.3.4.1-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/branding.conf.in: Set version to 12.04
  * debian/control.in:
    - Update build-depends (glib 2.31.2, libsoup-gnome 2.37.1, GTK 3.3.7,
      and webkit 1.7.3)
  * debian/epiphany-browser-data.gconf-defaults: Dropped, obsolete
  * debian/epiphany-browser-data.gsettings-override:
    - Drop homepage setting since Epiphany doesn't support it any more
  * debian/patches/10_smart_bookmarks: Dropped, obsolete
  * debian/watch: Watch for unstable releases
 -- Jeremy Bicha <email address hidden>   Wed, 25 Jan 2012 16:55:38 -0500

Available diffs

Superseded in precise-release on 2012-01-25
epiphany-browser (3.2.1-2ubuntu1) precise; urgency=low

  * Resynchronize on Debian, remaining diffs:
  * debian/branding.conf.in: set the branding to Ubuntu.
  * debian/epiphany-browser-data.gsettings-override:
    - set startpage and search to Ubuntu
  * debian/patches/80_ubuntu_search_url.patch: use Ubuntu search
  * debian/patches/81_ubuntu_force_update_bookmarks_menu.patch:
    - update the bookmarks menu every time the internal structure
      is changed (needed for the indicator application menu to work correctly).

Available diffs

Superseded in precise-release on 2011-11-21
Published in oneiric-release on 2011-07-22
epiphany-browser (3.0.4-1ubuntu1) oneiric; urgency=low

  * Resynchronize on Debian, remaining diffs:
  * debian/branding.conf.in: set the branding to Ubuntu.
  * debian/epiphany-browser-data.gconf-defaults:
    - set startpage and search to Ubuntu
  * debian/patches/80_ubuntu_search_url.patch: use Ubuntu search
  * debian/patches/81_ubuntu_force_update_bookmarks_menu.patch:
    - update the bookmarks menu every time the internal structure
      is changed (needed for the indicator application menu to work correctly).

Available diffs

Superseded in oneiric-release on 2011-07-22
epiphany-browser (3.0.3-1ubuntu1) oneiric; urgency=low

  * Resynchronize on Debian, remaining diffs:
  * debian/branding.conf.in: set the branding to Ubuntu.
  * debian/epiphany-browser-data.gconf-defaults:
    - set startpage and search to Ubuntu
  * debian/patches/80_ubuntu_search_url.patch: use Ubuntu search
  * debian/patches/81_ubuntu_force_update_bookmarks_menu.patch:
    - update the bookmarks menu every time the internal structure
      is changed (needed for the indicator application menu to work correctly).
 -- Sebastien Bacher <email address hidden>   Tue, 07 Jun 2011 15:29:29 +0200

Available diffs

Superseded in oneiric-release on 2011-07-04
epiphany-browser (3.0.3-0ubuntu1) oneiric; urgency=low

  * Resynchronize on Debian, remaining diffs:
  * debian/branding.conf.in:
    - set branding to Ubuntu.
  * debian/epiphany-browser-data.gconf-defaults:
    - set startpage and search to Ubuntu
  * debian/patches/80_ubuntu_search_url.patch:
    - use Ubuntu search
  * debian/patches/81_ubuntu_force_update_bookmarks_menu.patch:
    - update the bookmarks menu every time the internal structure
      is changed (needed for the indicator application menu to work correctly).
  * Drop the indicator patch the new version has no GtkStatusIcon for download

Superseded in oneiric-release on 2011-06-07
Obsolete in natty-release on 2013-06-04
epiphany-browser (2.30.6-1ubuntu5) natty; urgency=low

  * Rename forgotten libwebkit-* packages to libwebkitgtk-*
 -- Laurent Bigonville <email address hidden>   Mon, 17 Jan 2011 22:59:06 +0100

Available diffs

Superseded in natty-release on 2011-01-17
epiphany-browser (2.30.6-1ubuntu4) natty; urgency=low

  * Register x-scheme-handler/http and x-scheme-handler/https mime type
 -- Laurent Bigonville <email address hidden>   Mon, 17 Jan 2011 20:48:01 +0100

Available diffs

Superseded in natty-release on 2011-01-17
epiphany-browser (2.30.6-1ubuntu3) natty; urgency=low

  * debian/control.in:
    - Rename gir1.0 build-dependencies to gir1.2 following abi change
    - Change build-depends from libwebkit-dev to libwebkitgtk-dev
  * debian/rules: Exclude Epiphany-2.29.typelib from dh_girepository call
 -- Laurent Bigonville <email address hidden>   Mon, 17 Jan 2011 19:23:09 +0100
Superseded in natty-release on 2011-01-17
epiphany-browser (2.30.6-1ubuntu2) natty; urgency=low

  * Rebuild for libgirepository rename
  * debian/control.in:
    - Drop gir-repository-dev, no longer needed
  * debian/patches/15_ftbfs_girscanner.patch:
    - Fix g-ir-scanner usage to compile
 -- Michael Terry <email address hidden>   Thu, 09 Dec 2010 11:42:29 -0500
Superseded in natty-release on 2010-12-09
epiphany-browser (2.30.6-1ubuntu1+build1) natty; urgency=low

  * No-change rebuild for libgirepository rename
 -- Michael Terry <email address hidden>   Thu, 09 Dec 2010 08:45:54 -0500
Superseded in natty-release on 2010-12-09
epiphany-browser (2.30.6-1ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Update the search URL:
      + add debian/patches/80_ubuntu_search_url.patch
      + update debian/epiphany-browser-data.gconf-defaults
    - Set branding to Ubuntu.
    - debian/patches/81_ubuntu_force_update_bookmarks_menu.patch:
      + Update the bookmarks menu every time the internal structure
        is changed (needed for the UNE application menu to work correctly).
    - Support appindicator.
    - debian/control.in:
      + Temporary bump for gir dependencies to ensure we rebuild against
        the correct version.
    - debian/patches/13_clearing_temp.patch:
      + Fix crashing epiphany-browser while clearing temp files.
        This patch can be dropped with new upstream 2.32 release.
  * debian/control.in:
    - Bump Build-Depends on network-manager-dev to avoid FTBFS.
 -- Artur Rona <email address hidden>   Thu, 14 Oct 2010 12:45:29 +0200

Available diffs

Superseded in natty-release on 2010-10-15
Obsolete in maverick-release on 2013-03-05
epiphany-browser (2.30.2-1ubuntu7) maverick; urgency=low

  * debian/patches/13_clearing_temp.patch:
    - Fix crashing epiphany-browser while clearing temp files. (LP: #562538)
 -- Artur Rona <email address hidden>   Tue, 05 Oct 2010 00:21:59 +0200
Superseded in maverick-release on 2010-10-05
epiphany-browser (2.30.2-1ubuntu6) maverick; urgency=low

  * No changes upload for libappindicator0 -> libappindicator1
    transition
 -- Fabrice Coutadeur <email address hidden>   Tue, 24 Aug 2010 22:13:03 +0200

Available diffs

Superseded in maverick-release on 2010-08-24
epiphany-browser (2.30.2-1ubuntu5) maverick; urgency=low

  * Rebuild for libgirepository1.0-0 -> libgirepository1.0-1 transition.
  * debian/control.in:
    - Temporary bump for gir dependencies to ensure we rebuild against the
      correct version.
 -- Maia Kozheva <email address hidden>   Wed, 11 Aug 2010 20:24:19 +0700

Available diffs

Superseded in maverick-release on 2010-08-11
epiphany-browser (2.30.2-1ubuntu4) maverick; urgency=low

  * Added debian/patches/82_ubuntu_appindicator.patch:
    - Replace the tray icon with the application indicator. (LP: #497897)
  * debian/control:
    - Build-depend on libappindicator-dev.
  * debian/rules:
    - Added pkg-config flags for appindicator.
 -- Maia Kozheva <email address hidden>   Sun, 18 Jul 2010 21:19:12 +0700
Superseded in maverick-release on 2010-07-18
epiphany-browser (2.30.2-1ubuntu3) maverick; urgency=low

  * Added debian/patches/81_ubuntu_force_update_bookmarks_menu.patch:
    - Update the bookmarks menu every time the internal structure is changed
      (needed for the UNE application menu to work correctly). (LP: #605520)
 -- Maia Kozheva <email address hidden>   Fri, 16 Jul 2010 23:31:38 +0700
Published in hardy-updates on 2010-06-29
Published in hardy-security on 2010-06-29
epiphany-browser (2.22.2-0ubuntu0.8.04.7) hardy-security; urgency=low

  * Update for xulrunner 1.9.2 transition
  * Bump minimum xulrunner depends
    - update debian/control
  * Port to xulrunner 1.9.2
    - add debian/patches/100_xul192.patch
    - update debian/patches/99_autoreconf.patch
    - update debian/patches/series
  * epiphany-gecko depends on xulrunner-1.9.2-gnome-support to ensure that
    the GNOME integration works out-of-the-box after the upgrade (LP: #597816)
    - update debian/control
 -- Chris Coulson <email address hidden>   Tue, 22 Jun 2010 21:52:11 +0100
Obsolete in jaunty-updates on 2013-02-28
Obsolete in jaunty-security on 2013-02-28
epiphany-browser (2.26.1-0ubuntu1.9.04.1) jaunty-security; urgency=low

  * Update for xulrunner 1.9.2 transition
    - see USN-930-1
  * Bump minimum xulrunner depends
    - update debian/control
  * Port to xulrunner 1.9.2
    - add debian/patches/100_xul192.patch
    - update debian/patches/99_autoreconf.patch
    - update debian/patches/series
 -- Chris Coulson <email address hidden>   Wed, 23 Jun 2010 01:53:16 +0100
Published in lucid-updates on 2010-06-08
Deleted in lucid-proposed (Reason: moved to -updates)
epiphany-browser (2.30.2-1ubuntu1.1) lucid-proposed; urgency=low

  * Correct user-agent string. (LP: #578717)
 -- Luke Faraone <email address hidden>   Fri, 28 May 2010 22:48:08 -0400
Superseded in maverick-release on 2010-07-16
epiphany-browser (2.30.2-1ubuntu2) maverick; urgency=low

  * Correct user-agent string. (LP: #578717)
 -- Luke Faraone <email address hidden>   Fri, 28 May 2010 11:18:58 -0400

Available diffs

Superseded in maverick-release on 2010-05-28
Published in lucid-release on 2010-04-13
epiphany-browser (2.30.2-1ubuntu1) lucid; urgency=low

  * Sync with Debian
  * Update the search URL:
    - add debian/patches/80_ubuntu_search_url.patch
    - update debian/epiphany-browser-data.gconf-defaults
 -- Chris Coulson <email address hidden>   Tue, 13 Apr 2010 12:06:20 +0100

Available diffs

Superseded in lucid-release on 2010-04-13
epiphany-browser (2.29.92-1) unstable; urgency=low

  * New upstream development release.
    + debian/patches/03_dbus.patch,
      debian/patches/05_libexecdir.patch,
    + debian/patches/99_ltmain_as-needed.patch:
      - Refreshed.
    + debian/patches/99_autoreconf.patch:
      - Regenerated for the new version.
  * debian/control.in:
    - Bump Standards version to 3.8.4 (No changes needed).
    - Added myself to Uploaders.

Available diffs

Superseded in lucid-release on 2010-03-09
epiphany-browser (2.29.91-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Recommend evince for print preview. Closes: #569968.

  [ Sebastian Dröge ]
  * New upstream development release:
    + debian/control.in:
      - Update libsoup and WebKit build dependencies.
    + debian/patches/13_enable_page_cache.patch:
      - Dropped, merged upstream.
    + debian/patches/13_gtk-2.18.patch:
      - Revert upstream commit to use accessor macros again
        instead of new functions to allow compilation with GTK 2.18.
    + debian/patches/99_autoreconf.patch:
      - Regenerated for the new version.
  * debian/rules,
    debian/control.in:
    + Pass location of the CA certificates file to configure.
    + Recommend and build-depend on ca-certificates.

Available diffs

Superseded in lucid-release on 2010-03-01
epiphany-browser (2.29.90.1-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Stop suggesting mozplugger. Closes: #566867.

  [ Sebastian Dröge ]
  * New upstream development release:
    + debian/patches/99_autoreconf.patch:
      - Regenerated for the new version.
    + debian/control.in:
      - Build depend on WebKit >= 1.1.21 and libsoup >= 2.29.6.
 -- Sebastian Dr?ge <email address hidden>   Fri,  12 Feb 2010 11:28:47 +0000

Available diffs

Superseded in lucid-release on 2010-02-12
epiphany-browser (2.29.6-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/91_gtk-doc-1.13.patch:
    - Removed, gtk-doc has been fixed so this is no longer needed.
  * debian/patches/99_autoreconf.patch:
    - Regenerated.

  [ Sebastian Dröge ]
  * New upstream development release:
    + debian/patches/99_autoreconf.patch:
      - Regenerated for the new version.
    + debian/control.in:
      - Build depend on WebKit >= 1.1.19.
    + debian/patches/90_schemas-syntax-error.patch:
      - Dropped, merged upstream.

Available diffs

Superseded in lucid-release on 2010-01-26
epiphany-browser (2.29.5-2) unstable; urgency=low

  * debian/control.in:
    + Add Conflicts with pre-2.29.0 epiphany-extensions (Closes: #565245).

Available diffs

Superseded in lucid-release on 2010-01-14
epiphany-browser (2.29.3-1ubuntu1) lucid; urgency=low

  * debian/control.in:
    - build-depends on gvfs-backends
 -- Sebastien Bacher <email address hidden>   Tue, 08 Dec 2009 21:28:21 +0100

Available diffs

Superseded in lucid-release on 2009-12-08
epiphany-browser (2.29.3-1) unstable; urgency=low

  * New upstream release:
    + debian/patches/14_inspect_element.patch,
      debian/patches/04_set_prgname.patch:
      - Dropped, merged upstream.
    + debian/patches/99_autoreconf.patch:
      - Regenerated for the new version.
    + debian/control.in:
      - Build depend on WebKit >= 1.1.17.

Available diffs

Superseded in lucid-release on 2009-12-04
epiphany-browser (2.29.1-2) unstable; urgency=low

  [ Gustavo Noronha Silva ]
  * debian/patches/04_set_prgname.patch:
  - New patch, to make sure GNOME Shell is able to match the application
    windows to the .desktop file, and app well favourite.

  [ Josselin Mouette ]
  * Add a conflict with swfdec-mozilla, the plugin makes the browser 
    completely unusable on any website with Flash content.

Available diffs

Superseded in lucid-release on 2009-12-04
Obsolete in karmic-release on 2013-03-04
Superseded in karmic-release on 2009-10-19
Superseded in karmic-release on 2009-10-17
epiphany-browser (2.28.0-4ubuntu1) karmic; urgency=low

  * debian/control.in:
    - added a B-D on gvfs-backends, preventing a FTBFS cause
      missing /gvfs/remote-volume-monitors directory.

 -- Andrea Veri <email address hidden>   Tue, 06 Oct 2009 16:44:43 +0200

Available diffs

Superseded in karmic-release on 2009-10-07
epiphany-browser (2.28.0-4) unstable; urgency=low

  * debian/control.in:
  - We also want to transition epiphany-gecko, as it may be installed
    alone
  * debian/epiphany-browser.preinst:
  - make sure diversions installed by epiphany-webkit are removed
    (Closes: #548404)

Available diffs

Superseded in karmic-release on 2009-10-02
Superseded in karmic-release on 2009-10-02
epiphany-browser (2.26.1-0ubuntu3) karmic; urgency=low

  * debian/patches/24_use_underline_for_clear_button.patch:
    - history window: enable "use-underline" for the "Clear" button
      so that accelerator works. (LP: #407596)

 -- Andy Matteson <email address hidden>   Sat, 01 Aug 2009 02:37:30 -0400

Available diffs

Superseded in karmic-release on 2009-08-06
epiphany-browser (2.26.1-0ubuntu2) karmic; urgency=low

  * Fix default prefs file to use info from lsb_release (LP: #332253)

 -- Mike Pontillo <email address hidden>   Wed, 06 May 2009 15:30:31 -0700

Available diffs

Superseded in karmic-release on 2009-05-06
Obsolete in jaunty-release on 2013-02-28
epiphany-browser (2.26.1-0ubuntu1) jaunty; urgency=low

  * New upstream version

 -- Sebastien Bacher <email address hidden>   Mon, 13 Apr 2009 15:12:35 +0200

Available diffs

Superseded in jaunty-release on 2009-04-13
epiphany-browser (2.26.0-0ubuntu3) jaunty; urgency=low

  * debian/patches/08_localized_startup_page.patch:
    - correctly list the change in the series (lp: #314355)

 -- Sebastien Bacher <email address hidden>   Wed, 25 Mar 2009 19:48:48 +0000

Available diffs

Superseded in jaunty-release on 2009-03-27
epiphany-browser (2.26.0-0ubuntu2) jaunty; urgency=low

  * No-change rebuild to fix lpia shared library dependencies.

 -- Matthias Klose <email address hidden>   Sun, 22 Mar 2009 16:45:15 +0100

Available diffs

Superseded in jaunty-release on 2009-03-22
epiphany-browser (2.26.0-0ubuntu1) jaunty; urgency=low

  * New upstream version

 -- Sebastien Bacher <email address hidden>   Mon, 16 Mar 2009 09:46:23 +0100

Available diffs

Superseded in jaunty-release on 2009-03-16
epiphany-browser (2.25.91-0ubuntu1) jaunty; urgency=low

  * New upstream version
  * debian/control.in:
    - updated gtk requirement
  * debian/control.in, debian/epiphany-browser.README.Debian, debian/rules:
    - don't build a webkit variant the upstream tarball doesn't allow doing now,
      this version uses gecko and the next one will use webkit (lp: #317305)

 -- Sebastien Bacher <email address hidden>   Wed, 18 Feb 2009 17:06:01 +0100

Available diffs

Superseded in jaunty-release on 2009-02-19
epiphany-browser (2.24.3-0ubuntu1) jaunty; urgency=low

  * New upstream version
  * debian/patches/20_print_garbage.patch:
    - the change is in the new version

 -- Sebastien Bacher <email address hidden>   Tue, 13 Jan 2009 11:52:18 +0100

Available diffs

Superseded in jaunty-release on 2009-01-13
epiphany-browser (2.24.1-1ubuntu4) jaunty; urgency=low

  * no changes upload for nss/nspr SONAME mini-transition

 -- Alexander Sack <email address hidden>   Mon, 12 Jan 2009 16:21:48 +0100

Available diffs

Superseded in jaunty-release on 2009-01-12
epiphany-browser (2.24.1-1ubuntu3) jaunty; urgency=low

  * Rebuild for libgnome-desktop-2-7 -> libgnome-desktop-2-11
    transition. (LP: #309529)

 -- Stefan Ebner <email address hidden>   Fri, 19 Dec 2008 11:49:54 +0100

Available diffs

Superseded in jaunty-release on 2008-12-20
epiphany-browser (2.24.1-1ubuntu2) jaunty; urgency=low

  * debian/patches/22_retrict_xul_to_1.9_only.patch:
    - only use xulrunner 1.9.0.* (not 1.9.1 or higer) as embedded
      gecko. (LP: #302859)

 -- Fabien Tassin <email address hidden>   Thu, 27 Nov 2008 21:58:45 +0100

Available diffs

Superseded in jaunty-release on 2008-11-28
epiphany-browser (2.24.1-1ubuntu1) jaunty; urgency=low

  * Sync on debian
  * debian/control.in:
    - build-depends on liblaunchpad-integration-dev (>= 0.1.17)
    - updated description to mention firefox rather than iceweasel
    - updated to the ubuntu xulrunner naming
  * debian/epiphany-browser-data.gconf-defaults:
    - change startup page
  * debian/patches/03_dbus.patch:
    - don't use hack from Debian to start a private instance when it can't
      connect to the dbus, changes made while running that mode are not stored
      (Ubuntu: #74725)
  * debian/patches/06_lpi.patch:
    - launchpad integration
  * debian/patches/08_localized_startup_page.patch:
    -  use the startup page corresponding to the locale used
  * debian/patches/11_useragent-weasel.patch:
    - don't use, the change is Debian specific
  * debian/rules:
    - use dh_icons so the icon is correctly available after installation

 -- Sebastien Bacher <email address hidden>   Mon, 17 Nov 2008 12:40:22 +0100
Superseded in jaunty-release on 2008-11-17
Obsolete in intrepid-release on 2013-02-20
epiphany-browser (2.24.1-0ubuntu1) intrepid; urgency=low

  * New upstream version

 -- Sebastien Bacher <email address hidden>   Tue, 21 Oct 2008 00:46:08 +0200
Superseded in intrepid-release on 2008-10-24
epiphany-browser (2.24.0.1-0ubuntu2) intrepid; urgency=low

  * debian/patches/07_bookmarks.patch:
    - update the bookmarks list to ubuntu

 -- Sebastien Bacher <email address hidden>   Thu, 16 Oct 2008 09:35:43 +0200
Superseded in intrepid-release on 2008-10-16
epiphany-browser (2.24.0.1-0ubuntu1) intrepid; urgency=low

  * New upstream version

 -- Sebastien Bacher <email address hidden>   Wed, 24 Sep 2008 15:02:52 +0200
Superseded in intrepid-release on 2008-09-24
epiphany-browser (2.24.0-0ubuntu1) intrepid; urgency=low

  * New upstream version (LP: #273342)
  * debian/control.in
    - updated Build-Depend for debhelper to 5.0.51
  * debian/patches:
    - updated 00_browser_wrapper_path.patch to apply cleanly
    - updated 01_bookmarks_menu.patch to apply cleanly
    - updated 02_ac_init.patch to apply cleanly
    - removed 04_move_tabs.patch, merged upstream
    - updated 07_bookmarks.patch to apply cleanly
    - updated 08_localized_startup_page.patch to apply cleanly
    - updated 09_download_dialog.patch to apply cleanly
    - removed 10_url_double-click.patch, merged upstream
    - removed 80_from_upstream_fix_printing_scale.patch, merged upstream
    - updated 99_autoreconf.patch to apply

 -- Andreas Moog <email address hidden>   Tue, 23 Sep 2008 00:13:09 +0200

Available diffs

Superseded in intrepid-release on 2008-09-23
epiphany-browser (2.23.91-0ubuntu1) intrepid; urgency=low

  * New upstream version
  * debian/control.in:
    - build-depends on libcanberra-gtk-dev
  * debian/patches/15_certificates_oldapi.patch:
    - the change is in the new version

 -- Sebastien Bacher <email address hidden>   Tue, 02 Sep 2008 16:18:09 +0200

Available diffs

Superseded in hardy-updates on 2010-06-29
Superseded in hardy-security on 2010-06-29
epiphany-browser (2.22.2-0ubuntu0.8.04.5) hardy-security; urgency=low

  * no change rebuild for -security to make package installable for users
    without -updates enabled (due to recent xulrunner-1.9 Breaks line)

 -- Jamie Strandboge <email address hidden>   Sun, 03 Aug 2008 08:44:45 -0400
Superseded in hardy-updates on 2008-08-26
Deleted in hardy-proposed on 2008-08-27 (Reason: moved to -updates)
epiphany-browser (2.22.2-0ubuntu0.8.04.4) hardy-proposed; urgency=low

  * The glib version used to build the previous revision had buggy big endian
    detection code, no change upload to rebuild using the new fixed version
    (bug #245150)

Superseded in intrepid-release on 2008-09-02
epiphany-browser (2.22.3-1ubuntu2) intrepid; urgency=low

  * debian/control.in:
    - build-depends on liblaunchpad-integration-dev (>= 0.1.17)
    - updated description to mention firefox rather than iceweasel

 -- Sebastien Bacher <email address hidden>   Tue, 15 Jul 2008 09:43:45 +0100
Superseded in intrepid-release on 2008-07-15
epiphany-browser (2.22.3-1ubuntu1) intrepid; urgency=low

  * Sync on  Debian
  * the webkit backend is built now (lp: #131944)
  * debian/control.in:
    - updated maintainer information
    - updated to the ubuntu xulrunner naming
  * debian/epiphany-browser-data.gconf-defaults:
    - change startup page
  * debian/patches/03_dbus.patch:
    - don't use hack from Debian to start a private instance when it can't
      connect to the dbus, changes made while running that mode are not stored
      (Ubuntu: #74725)
  * debian/patches/06_lpi.patch:
    - launchpad integration
  * debian/patches/08_localized_startup_page.patch:
    -  use the startup page corresponding to the locale used
  * debian/patches/11_useragent-weasel.patch:
    - don't use, the change is Debian specific
  * debian/patches/80_from_upstream_fix_printing_scale.patch:
    - change from Paul Drain commited upstream to fix the default printing scale
  * debian/rules:
    - use dh_icons so the icon is correctly available after installation

 -- Sebastien Bacher <email address hidden>   Mon, 14 Jul 2008 16:39:33 +0100
Superseded in hardy-proposed on 2008-07-17
epiphany-browser (2.22.2-0ubuntu0.8.04.3) hardy-proposed; urgency=low

  * debian/patches/80_from_upstream_fix_printing_scale.patch:
    - change from Paul Drain commited upstream to fix the default printing scale
      (lp: #217151)

 -- Sebastien Bacher <email address hidden>   Thu, 03 Jul 2008 19:21:17 +0200
Superseded in hardy-updates on 2008-07-24
Deleted in hardy-proposed on 2008-07-25 (Reason: moved to -updates)
epiphany-browser (2.22.2-0ubuntu0.8.04.2) hardy-proposed; urgency=low

  * fix bugs in upstream's remove password code. See regression comments in
    LP: #236116.
    - add debian/patches/98b_fix_remove_password_2.22.2.patch
    - update debian/patches/series
  * fix bugs in upstream's auto_download code. See regression comments in
    LP: #236116. New behaviour for "auto-download" enabled: 1. auto open
    if there is a known mime-type helper app; 2. auto save to Download
    location if there is no helper.
    - add debian/patches/98b_fix_autodownload.2.22.2.patch
    - update debian/patches/series

175 of 155 results